%global project     polyglot
%global commitdate  20140902
%global commit      f46ee068860d363ace27004ec4da588bf4b48147
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           %{project}-chess
Version:        1.4
Release:        1.%{commitdate}git%{shortcommit}%{?dist}
Summary:        Polyglot chess opening book program

License:        GPLv2+
URL:            https://github.com/sshivaji/%{project}
Source0:        %{url}/archive/%{commit}.tar.gz#/%{project}-%{shortcommit}.tar.gz

BuildRequires:  leveldb-devel
BuildRequires:  auto-destdir
BuildRequires:  help2man


%description
PolyGlot is a "UCI adapter". It connects a UCI chess engine to an
xboard interface such as WinBoard. UCI2WB is another such adapter
(for Windows).
PolyGlot tries to solve known problems with other adapters. For
instance, it detects and reports draws by fifty-move rule, repetition,
etc ...

New Features: Builds a polyglot book but supports a leveldb position/game
index as well. The leveldb option can be enabled with -leveldb 


# upstream provides a strict Makefile without any debug flags
%define debug_package %{nil}
 

%prep
%setup -qn%{project}-%{commit}
# W: wrong-file-end-of-line-encoding
sed -i 's,\r$,,' readme.txt
# rename binary
sed -i 's,\(EXE = \).*,\1%{name},' src/Makefile


%build
make -C src %{?_smp_mflags}


%install
# FIXME make install does not work due to strict Makefile
#%make_install -C src
make-redir -C src DESTDIR=%{buildroot} install
# W: unstripped-binary-or-object
chmod +x %{buildroot}%{_bindir}/%{name} 
# generate manpage
mkdir -p %{buildroot}%{_mandir}/man1
help2man -o %{buildroot}%{_mandir}/man1/%{name}.1 --no-info src/%{name}


%files
%license LICENSE
%doc readme.txt README.md
%{_mandir}/man*/%{name}*
%{_bindir}/%{name}


%changelog
* Sat Feb 28 2015 Raphael Groner <projects.rg (AT) smart.ms> - 1.4-1.20140902gitf46ee06
- initial
